package ru.micord.ervu.kafka.model;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import ru.micord.ervu.security.esia.model.AddressModel;
import ru.micord.ervu.security.esia.model.ContactModel;

/**
 * @author Eduard Tihomirov
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class Brhs implements Serializable {

  private static final long serialVersionUID = 1L;

  private String brhOid;

  private String name;

  private String kpp;

  private String leg;

  private AddressModel[] addresses;

  private ContactModel[] contacts;

  public String getBrhOid() {
    return brhOid;
  }

  public void setBrhOid(String brhOid) {
    this.brhOid = brhOid;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getKpp() {
    return kpp;
  }

  public void setKpp(String kpp) {
    this.kpp = kpp;
  }

  public String getLeg() {
    return leg;
  }

  public void setLeg(String leg) {
    this.leg = leg;
  }

  public AddressModel[] getAddresses() {
    return addresses;
  }

  public void setAddresses(AddressModel[] addresses) {
    this.addresses = addresses;
  }

  public ContactModel[] getContacts() {
    return contacts;
  }

  public void setContacts(ContactModel[] contacts) {
    this.contacts = contacts;
  }
}
